# Lighthouse Dashboard Compatibility

## **Lighthouse Dashboard Compatibility**

### Lighthouse Summary Dashboard

Dashboard: <https://raw.githubusercontent.com/sigp/lighthouse-metrics/master/dashboards/Summary.json>

This Lighthouse dashboard should work seamlessly with the Stake Local configuration if your prior Lighthouse beacon chain `job_name` was `lighthouse_beacon`. and your prior Lighthouse validator `job_name` was `lighthouse_validator`.

If your prior Lighthouse beacon chain or validator `job_name` were any other value, this dashboard will continue to work, but historical data may show as a different data series under a different color if it is in the selected time range. To avoid this problem, you may update the Lighthouse beacon chain and validator `job_name` values in the new `prometheus.yml` file to match your prior `job_name` values. `nodes` and `validators` are the default `job_name` values from this Coin Cashew guide. `lighthouse` is the default `job_name` from this someresat guide. `local-lighthouse` is the default `job_name` from this SigmaPrime guide.

**Optional**

Edit the `/etc/prometheus/prometheus.yml` file.

```bash
sudo vi /etc/prometheus/prometheus.yml
```

Find the line containing `- job_name: lighthouse_beacon`.

Change that line to `- job_name: <PREVIOUS LIGHTHOUSE BEACON job_name>`.

Replace `<PREVIOUS LIGHTHOUSE BEACON JOB NAME>` with the value for Besu in your previous `prometheus.yml` file. If you used the somersat guide to setting, this value may be `lighthouse`.

Save the file and exit the editor.

### Yoldark34 ETH Staking Dashboard

Dashboard: <https://raw.githubusercontent.com/Yoldark34/lighthouse-staking-dashboard/main/Yoldark_ETH_staking_dashboard.json>

This Lighthouse dashboard is not compatible with the Stake Local configuration without some additional configuration.

To continue to use this Lighthouse dashboard, update the Nimbus `job_name` in the new `prometheus.yml` file to match your prior value. `lighthouse` is the default for this Coin Cashew guide to installing a Nimbus dashboard.

Edit the `/etc/prometheus/prometheus.yml` file.

```bash
sudo vi /etc/prometheus/prometheus.yml
```

Find the line containing `- job_name: lighthouse_beacon`.

Change that line to `- job_name: <PREVIOUS LIGHTHOUSE BEACON job_name>`.

Replace `<PREVIOUS LIGHTHOUSE BEACON JOB NAME>` with the value for Lighthouse beacon chain in your previous `prometheus.yml` file. If you used the Coin Cashew guide to setting up your original dashboard, this value may be `nodes`.

Find the line containing `- job_name: lighthouse_validator`.

Change that line to `- job_name: <PREVIOUS LIGHTHOUSE VALIDATOR job_name>`.

Replace `<PREVIOUS LIGHTHOUSE VALIDATOR JOB NAME>` with the value for Lighthouse validator in your previous `prometheus.yml` file. If you used the Coin Cashew guide to setting up your original dashboard, this value may be `validators`.

{% hint style="danger" %}
The Coin Cashew guide to installing this dashboard recommends the Lighthouse beacon `job_name` of `nodes` and the Lighthouse validator `job_name` of `validators`. Some queries in this dashboard require the use of `lighthouse` and `lighthouse_validator` for those `job_name` values, respectively. Changing the `job_name` values to `lighthouse` and `lighthouse_validator` instead of your previous values will enable all queries in this dashboard to work, but historical data may appear under a separate color/legend from present data.
{% endhint %}

Save the file and exit the editor.

{% hint style="warning" %}
If the Lighthouse beacon chain or Lighthouse validator job names are changed from their Stake Local defaults, please complete the steps to update the job name variables during [dashboard installation](/dashboard-installation/install-dashboard.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakelocal.io/dashboard-installation/optional-alternative-dashboard-compatibility/lighthouse-dashboard-compatibility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
